Retrieve list of lists
The site's active manual lists — name and status; size with includeSize=true. Page size 5, newest first.
get
Authorizations
X-Recart-API-KeystringRequired
It can be obtained in Recart account after contacting Support
Query parameters
limitinteger · min: 1 · max: 5OptionalDefault:
Maximum number of lists to return
5offsetintegerOptionalDefault:
Number of lists to skip, for pagination
0idsstring[]Optional
Only these lists
includeSizebooleanOptionalDefault:
Compute the live size of each list on the page
falseResponses
200
Ok
application/vnd.api+json
4XX
HTTP Error response
application/vnd.api+json
5XX
HTTP Error response
application/vnd.api+json
get/lists
GET /app-integrations/2023-12/lists HTTP/1.1
Host: api.recart.com
X-Recart-API-Key: YOUR_API_KEY
Accept: */*
{
"data": [
{
"type": "lists",
"attributes": {
"id": "64f2a1b2c3d4e5f60718293d",
"name": "Black Friday 2025 import",
"status": "active",
"editedAt": "2025-11-20T10:00:00.000Z",
"createdAt": "2025-11-20T10:00:00.000Z",
"updatedAt": "2026-09-23T22:00:04.000Z"
}
}
]
}Last updated
Was this helpful?